%define upstream_name    CatalystX-CRUD
%define upstream_version 0.58

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    CRUD framework for Catalyst applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Component::ACCEPT_CONTEXT) >= 0.60.0
BuildRequires: perl(Catalyst::Exception)
BuildRequires: perl(Catalyst::Runtime) >= 5.800.240
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Pageset)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat) >= 0.100.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Search::QueryParser::SQL) >= 0.10.0
BuildRequires: perl(Sort::SQL) >= 0.70.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This document is an overview of the CatalystX::CRUD framework and API.

CatalystX::CRUD provides a simple and generic API for Catalyst CRUD
applications. CatalystX::CRUD is agnostic with regard to data model and
data input, instead providing a common API that different projects can
implement for greater compatibility with one another.

The project was born out of a desire to make Rose::HTML::Objects easy to
use with Rose::DB::Object and DBIx::Class ORMs, using the
Catalyst::Controller::Rose project. However, any ORM could implement the
CatalystX::CRUD::Model API, and any form management project could use the
resulting CatalystX::CRUD::Model subclass.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.580.0-2.mga10
+ Revision: 2218619
- Mageia 10 Mass Rebuild

* Wed Aug 30 2023 tv <tv> 0.580.0-1.mga10
+ Revision: 1981063
- update to 0.58

* Sun Mar 20 2022 umeabot <umeabot> 0.570.0-5.mga9
+ Revision: 1802246
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.570.0-4.mga8
+ Revision: 1493479
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.570.0-3.mga7
+ Revision: 1265979
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.570.0-2.mga6
+ Revision: 1023411
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 buchan <buchan> 0.570.0-1.mga6
+ Revision: 924934
- New upstream version 0.57

* Wed Dec 24 2014 buchan <buchan> 0.560.0-1.mga5
+ Revision: 805323
- imported package perl-CatalystX-CRUD


* Wed Dec 24 2014 Buchan Milne <buchan> 0.56-1mga
- initial mageia release, generated with cpan2dist
